@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-milestone-information-panel [componentData]="componentData">
          </sqtm-app-milestone-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'projects'"
          sqtmCoreAnchorLastPanel
          [sqtmCoreAnchorCollapsePanel]="'projects'"
          [nzHeader]="projectsTitle"
          [nzExtra]="projectsGridButtons"
        >
          <ng-template #projectsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.project.label.plural' | translate }}
            </div>
            <i
              nz-icon
              nzType="sqtm-core-generic:help"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.administration-workspace.milestones.tooltips.bind-project'
                  | translate
              "
              class="current-workspace-button tooltip-icon table-icon-size"
            >
            </i>
          </ng-template>
          <sqtm-app-milestone-project-panel> </sqtm-app-milestone-project-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <ng-template #projectsGridButtons>
        @if (componentData.milestone.canEdit) {
          <div class="admin-view-panel-buttons">
            <div [attr.data-test-button-id]="'bind-projects'">
              <i
                nz-icon
                nzType="sqtm-core-generic:add"
                nzTheme="outline"
                class="current-workspace-button action-icon-size"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.entity.milestone.tooltip.bind-projects' | translate
                "
                nzTooltipPlacement="topRight"
                (click)="bindProjectsToMilestone($event)"
              >
              </i>
            </div>
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'unbind-projects'"
              [active]="projectsGridService.hasSelectedRows$ | async"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:unlink"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size"
                [nzTooltipTitle]="
                  'sqtm-core.entity.milestone.tooltip.unbind-projects'
                    | translate
                "
                nzTooltipPlacement="topRight"
                (click)="unbindProjectsFromMilestone($event)"
              ></i>
            </sqtm-core-toggle-icon>
          </div>
        }
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
